"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NsHttpBackEnd = void 0;
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var ns_file_system_1 = require("nativescript-angular/file-system/ns-file-system");
var http_utils_1 = require("./http-utils");
var xhr_1 = require("./xhr");
var NsHttpBackEnd = (function (_super) {
    __extends(NsHttpBackEnd, _super);
    function NsHttpBackEnd(xhrFactory, nsFileSystem) {
        var _this = _super.call(this, xhrFactory) || this;
        _this.nsFileSystem = nsFileSystem;
        return _this;
    }
    NsHttpBackEnd.prototype.handle = function (req) {
        var result;
        if (http_utils_1.isLocalRequest(req.url)) {
            result = this.handleLocalFileRequest(req.url);
        }
        else {
            result = _super.prototype.handle.call(this, req);
        }
        return result;
    };
    NsHttpBackEnd.prototype.handleLocalFileRequest = function (url) {
        return http_utils_1.processLocalFileRequest(url, this.nsFileSystem, createSuccessResponse, createErrorResponse);
    };
    var _a;
    NsHttpBackEnd = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [xhr_1.NSHTTPXhr, typeof (_a = typeof ns_file_system_1.NSFileSystem !== "undefined" && ns_file_system_1.NSFileSystem) === "function" ? _a : Object])
    ], NsHttpBackEnd);
    return NsHttpBackEnd;
}(http_1.HttpXhrBackend));
exports.NsHttpBackEnd = NsHttpBackEnd;
function createSuccessResponse(url, body, status) {
    return new http_1.HttpResponse({
        url: url,
        body: body,
        status: status,
        statusText: "OK"
    });
}
function createErrorResponse(url, body, status) {
    return new http_1.HttpErrorResponse({
        url: url,
        error: body,
        status: status,
        statusText: "ERROR"
    });
}
//# sourceMappingURL=ns-http-backend.js.map