"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageCache = exports.Cache = void 0;
var http_android_1 = require("../http.android");
var common = require("@nativescript/core/ui/image-cache");
var Cache = (function (_super) {
    __extends(Cache, _super);
    function Cache() {
        return _super.call(this) || this;
    }
    Cache.prototype._downloadCore = function (imageRequest) {
        var _this = this;
        http_android_1.request({
            url: imageRequest.url,
            method: "GET",
            forceImageParsing: true
        }).then(function (imageRes) {
            imageRes.content.toImage().then(function (image) {
                _this._onDownloadCompleted(imageRequest.key, image.android);
            }).catch(function (err) {
                _this._onDownloadError(imageRequest.key, new Error(err));
            });
        }).catch(function (err) {
            _this._onDownloadError(imageRequest.key, new Error(err));
        });
    };
    return Cache;
}(common.Cache));
exports.Cache = Cache;
var ImageCache = (function (_super) {
    __extends(ImageCache, _super);
    function ImageCache() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return ImageCache;
}(Cache));
exports.ImageCache = ImageCache;
//# sourceMappingURL=index.android.js.map